---
title: ReadableByteStreamController
slug: Web/API/ReadableByteStreamController
tags:
  - API
  - Experimental
  - Fetch
  - Interface
  - ReadableByteStreamController
  - Reference
  - Streams
---
<p>{{APIRef("Streams")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>ReadableByteStreamController</code></strong> interface of the <a href="/en-US/docs/Web/API/Streams_API">Streams API</a> represents a controller allowing control of a {{domxref("ReadableStream")}}'s state and internal queue. Byte stream controllers are for byte streams.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dd>None. <code>ReadableByteStreamController</code> instances are created automatically during <code>ReadableStream</code> construction.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("ReadableByteStreamController.byobRequest")}} {{readonlyInline}}</dt>
 <dd>Returns the current BYOB pull request.</dd>
 <dt>{{domxref("ReadableByteStreamController.desiredSize")}} {{readonlyInline}}</dt>
 <dd>Returns the desired size required to fill the stream's internal queue.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("ReadableByteStreamController.close()")}}</dt>
 <dd>Closes the associated stream.</dd>
 <dt>{{domxref("ReadableByteStreamController.enqueue()")}}</dt>
 <dd>Enqueues a given chunk in the associated stream.</dd>
 <dt>{{domxref("ReadableByteStreamController.error()")}}</dt>
 <dd>Causes any future interactions with the associated stream to error.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Streams','#rbs-controller-class','ReadableByteStreamController')}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableByteStreamController")}}</p>
</div>
